<?php

return [
    'lean' => [
        'autoload' => [
            getenv('DEBUG') ? 'lean.console' : null,
        ]
    ],

    'ulmus' => [
        'connections' => [
            'lean.console' => [
                'adapter'  => 'SQLite',
                'path'     => getenv('PROJECT_PATH') . DIRECTORY_SEPARATOR . "var/lean-console.sqlite3",
                'pragma_begin' => array_filter([ "foreign_keys=ON", "synchronous=NORMAL", getenv('DEBUG') ? "journal_mode=WAL" : "" ]),
                'pragma_close' => [ "analysis_limit=500", "optimize" ],
            ],
        ],
    ],
];
