<?php

use Psr\Container\ContainerInterface;

use Ulmus\ConnectionAdapter,
    Ulmus\Container\AdapterProxy;

use Storage\Session;

use function DI\autowire, DI\create, DI\get;

return [
    'lean:adapter.sqlite' => function($c) {
        $adapter = new ConnectionAdapter('lean.console', $c->get('config')['ulmus'], false);
        $adapter->resolveConfiguration();

        return $adapter;
    }
];
