<?php

namespace Ulmus\User\Middleware;

use Psr\Http\{
    Message\ResponseInterface,
    Message\ServerRequestInterface,
    Server\MiddlewareInterface,
    Server\RequestHandlerInterface
};
use Ulmus\User\Entity\UserInterface;
use Ulmus\User\Authorize\HeaderAuthentication;

class HeaderAuthenticationMiddleware implements MiddlewareInterface
{
    protected HeaderAuthentication $authenticator;

    public function __construct() {

    }

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {

        return $handler->handle($request);
    }
}
